import { StackPanel, StackPanelOptions } from "../panel/stackPanel";
import { ToggleButton, ToggleButtonOptions } from "../button/toggleButton";
export interface AudioRecorderOptions extends StackPanelOptions<ToggleButton> {
    startStopButtonOptions?: ToggleButtonOptions;
    pauseResumeButtonOptions?: ToggleButtonOptions;
    autoStopAfter?: number;
    onstop?: (recordingResult: RecordingResult) => void;
    onerror?: (event: MediaRecorderErrorEvent) => void;
}
export declare class AudioRecorder extends StackPanel<ToggleButton> {
    constructor(options?: AudioRecorderOptions);
    build(): void;
    private mediaRecorder;
    readonly mimeType: string;
    readonly state: MediaRecorderState;
    readonly stream: MediaStream;
    startStopButton: ToggleButton;
    pauseResumeButton: ToggleButton;
    readonly options: AudioRecorderOptions;
}
export interface RecordingResult {
    blob: Blob;
    mimeType: string;
}
